Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class ScopedDockablePropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockablePropertySet
                      org.flexdock.docking.props.ScopedDockablePropertySet

All Implemented Interfaces:
  Serializable, Cloneable, Map, DockingConstants, DockablePropertySet, ScopedMap

Direct Known Subclasses:
  ViewProps

    public class ScopedDockablePropertySet

extends BasicDockablePropertySet
implements ScopedMap

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static List` | `DEFAULTS`
`static List` | `GLOBALS`
`static RootDockablePropertySet` | `ROOT_PROPS`

Fields inherited from interface org.flexdock.docking.props.DockablePropertySet
`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`ScopedDockablePropertySet(Dockable dockable)`
`ScopedDockablePropertySet(int initialCapacity, Dockable dockable)`
`ScopedDockablePropertySet(int initialCapacity, float loadFactor, Dockable dockable)`
`ScopedDockablePropertySet(Map t, Dockable dockable)`

Method Summary
`List` | `getDefaults()`
`String` | `getDockableDesc()`
`Float` | `getDragThreshold()`
`List` | `getGlobals()`
`List` | `getLocals()`
`Float` | `getPreviewSize()`
`Float` | `getRegionInset(String region)`
`Map` | `getRoot()`
`Float` | `getSiblingSize(String region)`
`Boolean` | `isActive()`
`Boolean` | `isDockingEnabled()`
`Boolean` | `isMouseMotionListenersBlockedWhileDragging()`
`Boolean` | `isTerritoryBlocked(String region)`

Methods inherited from class org.flexdock.docking.props.BasicDockablePropertySet
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getDockbarIcon, getDockingId, getRegionInsetKey, getSiblingSizeKey, getTabIcon, getTerritoryBlockedKey, removePropertyChangeListener, setActive, setDockableDesc, setDockbarIcon, setDockingEnabled, setDragTheshold, setMouseMotionListenersBlockedWhileDragging, setPreviewSize, setRegionInset, setSiblingSize, setTabIcon, setTerritoryBlocked`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.flexdock.docking.props.DockablePropertySet
`put, remove`

Field Detail

### ROOT_PROPS

    public static final RootDockablePropertySet ROOT_PROPS

### DEFAULTS

    public static final List DEFAULTS

### GLOBALS

    public static final List GLOBALS

Constructor Detail

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(int initialCapacity,
                                     Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(int initialCapacity,
                                     float loadFactor,
                                     Dockable dockable)

### ScopedDockablePropertySet

    public ScopedDockablePropertySet(Map t,
                                     Dockable dockable)

Method Detail

### getLocals

    public List getLocals()

  Specified by:
    `getLocals` in interface `ScopedMap`

### getDefaults

    public List getDefaults()

  Specified by:
    `getDefaults` in interface `ScopedMap`

### getGlobals

    public List getGlobals()

  Specified by:
    `getGlobals` in interface `ScopedMap`

### getRoot

    public Map getRoot()

  Specified by:
    `getRoot` in interface `ScopedMap`

### getDockableDesc

    public String getDockableDesc()

  Specified by:
    `getDockableDesc` in interface `DockablePropertySet`
  Overrides:
    `getDockableDesc` in class `BasicDockablePropertySet`

### isDockingEnabled

    public Boolean isDockingEnabled()

  Specified by:
    `isDockingEnabled` in interface `DockablePropertySet`
  Overrides:
    `isDockingEnabled` in class `BasicDockablePropertySet`

### isActive

    public Boolean isActive()

  Specified by:
    `isActive` in interface `DockablePropertySet`
  Overrides:
    `isActive` in class `BasicDockablePropertySet`

### isMouseMotionListenersBlockedWhileDragging

    public Boolean isMouseMotionListenersBlockedWhileDragging()

  Specified by:
    `isMouseMotionListenersBlockedWhileDragging` in interface `DockablePropertySet`
  Overrides:
    `isMouseMotionListenersBlockedWhileDragging` in class `BasicDockablePropertySet`

### getRegionInset

    public Float getRegionInset(String region)

  Specified by:
    `getRegionInset` in interface `DockablePropertySet`
  Overrides:
    `getRegionInset` in class `BasicDockablePropertySet`

### getSiblingSize

    public Float getSiblingSize(String region)

  Specified by:
    `getSiblingSize` in interface `DockablePropertySet`
  Overrides:
    `getSiblingSize` in class `BasicDockablePropertySet`

### isTerritoryBlocked

    public Boolean isTerritoryBlocked(String region)

  Specified by:
    `isTerritoryBlocked` in interface `DockablePropertySet`
  Overrides:
    `isTerritoryBlocked` in class `BasicDockablePropertySet`

### getDragThreshold

    public Float getDragThreshold()

  Specified by:
    `getDragThreshold` in interface `DockablePropertySet`
  Overrides:
    `getDragThreshold` in class `BasicDockablePropertySet`

### getPreviewSize

    public Float getPreviewSize()

  Specified by:
    `getPreviewSize` in interface `DockablePropertySet`
  Overrides:
    `getPreviewSize` in class `BasicDockablePropertySet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD